summaryrefslogtreecommitdiffstats
path: root/games/cosmosmash
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-24 07:41:41 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-04-27 12:18:15 -0500
commitfa41984cd887f952de602ce61e4d87f549e80d09 (patch)
tree3e6bd72b3a673305d0eff13b5037b67490c53eb8 /games/cosmosmash
parent34d26218ad508b92d8c10836f78377d84e935293 (diff)
downloadslackbuilds-fa41984cd887f952de602ce61e4d87f549e80d09.tar.gz
slackbuilds-fa41984cd887f952de602ce61e4d87f549e80d09.tar.xz
games/cosmosmash: Added (2D shooting game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/cosmosmash')
-rw-r--r--games/cosmosmash/README4
-rw-r--r--games/cosmosmash/cosmosmash.SlackBuild87
-rw-r--r--games/cosmosmash/cosmosmash.info10
-rw-r--r--games/cosmosmash/doinst.sh3
-rw-r--r--games/cosmosmash/slack-desc19
5 files changed, 123 insertions, 0 deletions
diff --git a/games/cosmosmash/README b/games/cosmosmash/README
new file mode 100644
index 0000000000..cb4c1a2b70
--- /dev/null
+++ b/games/cosmosmash/README
@@ -0,0 +1,4 @@
+cosmosmash (2D shooting game)
+
+Cosmosmash, a space rock shooting video game. It is a clone of the 1981
+Astrosmash game for the Intellivision by Mattel Electronics.
diff --git a/games/cosmosmash/cosmosmash.SlackBuild b/games/cosmosmash/cosmosmash.SlackBuild
new file mode 100644
index 0000000000..2ca04f17a5
--- /dev/null
+++ b/games/cosmosmash/cosmosmash.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for cosmosmash
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=cosmosmash
+VERSION=${VERSION:-1.4.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --bindir=/usr/games \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+# put the docs in the right place
+sed -i '/^docdir/s,datadir,prefix,' Makefile
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip $PKG/usr/man/man?/*.?
+
+# 'make install-strip' created the doc dir already
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# get rid of autoconf-mandated 0-byte THANKS and TODO placeholders.
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -a -empty | xargs rm -f
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cosmosmash/cosmosmash.info b/games/cosmosmash/cosmosmash.info
new file mode 100644
index 0000000000..a408aea3cb
--- /dev/null
+++ b/games/cosmosmash/cosmosmash.info
@@ -0,0 +1,10 @@
+PRGNAM="cosmosmash"
+VERSION="1.4.7"
+HOMEPAGE="http://perso.b2b2c.ca/sarrazip/dev/cosmosmash.html"
+DOWNLOAD="http://perso.b2b2c.ca/sarrazip/dev/cosmosmash-1.4.7.tar.gz"
+MD5SUM="f0c040b7dca95582e1b77da70d0cbf4a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="flatzebra"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/cosmosmash/doinst.sh b/games/cosmosmash/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/cosmosmash/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/cosmosmash/slack-desc b/games/cosmosmash/slack-desc
new file mode 100644
index 0000000000..9bf09887d8
--- /dev/null
+++ b/games/cosmosmash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cosmosmash: cosmosmash (2D shooting game)
+cosmosmash:
+cosmosmash: Cosmosmash, a space rock shooting video game. It is a clone of the
+cosmosmash: 1981 Astrosmash game for the Intellivision by Mattel Electronics.
+cosmosmash:
+cosmosmash:
+cosmosmash:
+cosmosmash:
+cosmosmash:
+cosmosmash:
+cosmosmash: